Page MenuHomePhabricator

Make "write both, read old" the default MCR migration stage on master / for CI
Closed, ResolvedPublic

Description

We want to enable MCR in forward-compatible mode for use in CI and on development systems.

The new default should be:
$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_WRITE_BOTH | SCHEMA_COMPAT_READ_OLD;

NOTE: this is tracked as an MCR Deployment task because it blocks schema deployment. It's not itself a deployment task.
NOTE: this should NOT be release. 1.32 should instead have "write both, read new" as the default, see T198561

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Jul 1 2018, 12:53 PM
daniel triaged this task as Normal priority.
daniel updated the task description. (Show Details)Jul 4 2018, 12:29 PM
Aklapper changed the edit policy from "Custom Policy" to "All Users".Jul 9 2018, 7:40 AM

Change 446065 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Set default wgMultiContentRevisionSchemaMigrationStage to write-both

https://gerrit.wikimedia.org/r/446065

Change 446065 merged by jenkins-bot:
[mediawiki/core@master] Set default wgMultiContentRevisionSchemaMigrationStage to write-both

https://gerrit.wikimedia.org/r/446065

Anomie closed this task as Resolved.Jul 19 2018, 5:45 PM
Anomie claimed this task.

Change 425519 abandoned by Daniel Kinzler:
[MCR] [DNM] Set MCR migration stage to write-both/read-old.

https://gerrit.wikimedia.org/r/425519